#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB7,0xF5,0x0F,0x56,0x0E,0xFF,0x7A,0xD2,0x41,0xD2,0x30,0x44,
		0x21,0xAB,0x5C,0xBB,0x7F,0xBE,0x23,0xF6,0xE4,0x19,0x36,0xEB,
		0xA9,0x9E,0x7D,0x2E,0xA8,0x2C,0x8A,0xFD,0x48,0xD4,0xA3,0x59,
		0x40,0x43,0xEF,0x83,0xF9,0x35,0x55,0xC8,0x4E,0xD5,0x08,0xCA,
		0x40,0x06,0x65,0xB2,0x2B,0xAF,0x55,0xB7,0x53,0x52,0x57,0xD0,
		0x6A,0x5A,0x1D,0xB3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
